org.apache.tomcat.util.bcel.classfile

## Class AnnotationEntry

- java.lang.Object
- - org.apache.tomcat.util.bcel.classfile.AnnotationEntry

- All Implemented Interfaces:
    Constants

      public class AnnotationEntry
      extends java.lang.Object
      implements Constants

  represents one annotation in the annotation table
  Since:
    6.0
  Author:
    D. Brosius

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tomcat.util.bcel.Constants

      `ACC_ABSTRACT, ACC_ANNOTATION, ACC_FINAL, ACC_INTERFACE, CONSTANT_Class, CONSTANT_Double, CONSTANT_Fieldref, CONSTANT_Float, CONSTANT_Integer, CONSTANT_InterfaceMethodref, CONSTANT_InvokeDynamic, CONSTANT_Long, CONSTANT_MethodHandle, CONSTANT_Methodref, CONSTANT_MethodType, CONSTANT_NameAndType, CONSTANT_NAMES, CONSTANT_String, CONSTANT_Utf8`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnnotationType()`
    `java.util.List<ElementValuePair>` | `getElementValuePairs()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAnnotationType

          public java.lang.String getAnnotationType()

      Returns:
        the annotation type name

    - #### getElementValuePairs

          public java.util.List<ElementValuePair> getElementValuePairs()

      Returns:
        the element value pairs in this annotation entry

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.